'use strict';

var framework = require('@sapphire/framework');
var Events_cjs = require('../lib/types/Events.cjs');

var __defProp = Object.defineProperty;
var __name = (target, value) => __defProp(target, "name", { value, configurable: true });
var _PluginListener = class _PluginListener extends framework.Listener {
  constructor(context) {
    super(context, { event: Events_cjs.SubcommandPluginEvents.ChatInputSubcommandNoMatch });
  }
  run(_interaction, context) {
    this.container.logger.error(context.message);
  }
};
__name(_PluginListener, "PluginListener");
var PluginListener = _PluginListener;

exports.PluginListener = PluginListener;
//# sourceMappingURL=PluginChatInputSubcommandNoMatch.cjs.map
//# sourceMappingURL=PluginChatInputSubcommandNoMatch.cjs.map