'use strict';

var pieces = require('@sapphire/pieces');
var PluginChatInputSubcommandError_cjs = require('./PluginChatInputSubcommandError.cjs');
var PluginChatInputSubcommandNoMatch_cjs = require('./PluginChatInputSubcommandNoMatch.cjs');
var PluginMessageSubcommandError_cjs = require('./PluginMessageSubcommandError.cjs');
var PluginMessageSubcommandNoMatch_cjs = require('./PluginMessageSubcommandNoMatch.cjs');
var PluginSubcommandMappingIsMissingChatInputCommandHandler_cjs = require('./PluginSubcommandMappingIsMissingChatInputCommandHandler.cjs');
var PluginSubcommandMappingIsMissingMessageCommandHandler_cjs = require('./PluginSubcommandMappingIsMissingMessageCommandHandler.cjs');

var __defProp = Object.defineProperty;
var __name = (target, value) => __defProp(target, "name", { value, configurable: true });
function loadListeners() {
  const store = "listeners";
  void pieces.container.stores.loadPiece({ name: "PluginChatInputSubcommandError", piece: PluginChatInputSubcommandError_cjs.PluginListener, store });
  void pieces.container.stores.loadPiece({ name: "PluginMessageSubcommandError", piece: PluginMessageSubcommandError_cjs.PluginListener, store });
  void pieces.container.stores.loadPiece({
    name: "PluginSubcommandMappingIsMissingChatInputCommandHandler",
    piece: PluginSubcommandMappingIsMissingChatInputCommandHandler_cjs.PluginListener,
    store
  });
  void pieces.container.stores.loadPiece({
    name: "PluginSubcommandMappingIsMissingMessageCommandHandler",
    piece: PluginSubcommandMappingIsMissingMessageCommandHandler_cjs.PluginListener,
    store
  });
  void pieces.container.stores.loadPiece({
    name: "PluginMessageSubcommandNoMatch",
    piece: PluginMessageSubcommandNoMatch_cjs.PluginListener,
    store
  });
  void pieces.container.stores.loadPiece({
    name: "PluginChatInputSubcommandNoMatch",
    piece: PluginChatInputSubcommandNoMatch_cjs.PluginListener,
    store
  });
}
__name(loadListeners, "loadListeners");

exports.loadListeners = loadListeners;
//# sourceMappingURL=_load.cjs.map
//# sourceMappingURL=_load.cjs.map