'use strict';

// src/lib/types/Events.ts
var SubcommandPluginEvents = {
  ChatInputSubcommandDenied: "chatInputSubcommandDenied",
  ChatInputSubcommandRun: "chatInputSubcommandRun",
  ChatInputSubcommandSuccess: "chatInputSubcommandSuccess",
  ChatInputSubcommandError: "chatInputSubcommandError",
  ChatInputSubcommandNoMatch: "chatInputSubcommandNoMatch",
  MessageSubcommandDenied: "messageSubcommandDenied",
  MessageSubcommandRun: "messageSubcommandRun",
  MessageSubcommandSuccess: "messageSubcommandSuccess",
  MessageSubcommandError: "messageSubcommandError",
  MessageSubcommandNoMatch: "messageSubcommandNoMatch",
  SubcommandMappingIsMissingMessageCommandHandler: "subcommandMappingIsMissingMessageCommandHandler",
  SubcommandMappingIsMissingChatInputCommandHandler: "subcommandMappingIsMissingChatInputCommandHandler"
};
var SubcommandPluginIdentifiers = /* @__PURE__ */ ((SubcommandPluginIdentifiers2) => {
  SubcommandPluginIdentifiers2["MessageSubcommandNoMatch"] = "messageSubcommandNoMatch";
  SubcommandPluginIdentifiers2["ChatInputSubcommandNoMatch"] = "chatInputSubcommandNoMatch";
  SubcommandPluginIdentifiers2["SubcommandNotFound"] = "subcommandNotFound";
  return SubcommandPluginIdentifiers2;
})(SubcommandPluginIdentifiers || {});

exports.SubcommandPluginEvents = SubcommandPluginEvents;
exports.SubcommandPluginIdentifiers = SubcommandPluginIdentifiers;
//# sourceMappingURL=Events.cjs.map
//# sourceMappingURL=Events.cjs.map